Package javax.help

# Class UnsupportedOperationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javax.help.UnsupportedOperationException

All Implemented Interfaces:
  `Serializable`

public class UnsupportedOperationException extends RuntimeException
This is a platform-independent stand-in for the java.lang class

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnsupportedOperationException()`
Constructs an UnsupportedOperationException with no detail message.
`UnsupportedOperationException(String message)`
Constructs an UnsupportedOperationException with the specified detail message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsupportedOperationException

public UnsupportedOperationException()
Constructs an UnsupportedOperationException with no detail message.

### UnsupportedOperationException

public UnsupportedOperationException(String message)
Constructs an UnsupportedOperationException with the specified detail message. A null message is valid.